Clause Reference: Test Case ID:

61850 Standard: 7-2 Closed Reason: --Not Set---

Triggering Tissue: https://iec61850.tissue-db.com/tissue/14 | Triggering Tissue 2:
54

Final Decision: Add new testcase see file 20210601 Triggering Tissue 3:

Initial Test

Document:

Description

The Ed2.0 standard allows a server to already send a report before the SetxRCBValues(RptEna=T) respond (tissue 1454). Some
clients do not accept a report before the respond+; such clients are wrong and should fail the conformance test. We need to add a
testcase to verify that clients do process report before the respond+ for both buffered/unbuffered reporting

History

#1 - 05/13/2021 06:59 PM - Bruce Muschlitz
- Triggering Tissue changed from Tissue 1454 to https://iec61850.tissue-db.com/tissue/1454

#2 - 05/21/2021 09:33 AM - Richard Schimmel
- File Solution to redmine 658 report before enable.docx added

- Status changed from New to In Progress

Attached proposed solution

1. Force the DUT to Configure and enable an URCB with a valid data set
2. Force the SERVER SIMULATOR to send a report with a new data value before the enable response

#3 - 05/21/2021 03:21 PM - Bruce Muschlitz

- File Solution to redmine 658 report before enable_Bruce_extension.docx added

Suggestion: Extend to test if a report is sent before or after response to write
Rationale: All other test could have had the server simulator configured to send report before write.response so both tests are needed here

Suggestion: Add same test for Buffered reports
Rationale: buffered and unbuffered report can use different paths through the protocol handler

#4 - 06/01/2021 08:23 AM - Richard Schimmel

- File Solution to redmine 658 report before enable_20210601.docx added
- Status changed from In Progress to Resolved

- Final Decision set to Add new testcase see file 20210601

- 61850 Edition Edition 2 Amd 1 added

TPWG reviewed previous version and processed the comments - we added step 3 and 4 see attachment 20210601

This procedure will be copied to EA2Amd1 automatically.
Files

Solution to redmine 658 report before enable.docx 17.1 KB 05/21/2021 Richard Schimmel
Solution to redmine 658 report before enable_Bruce_extension.docx 18.7 KB 05/21/2021 Bruce Muschlitz
Solution to redmine 658 report before enable_20210601.docx 19.1 KB 06/01/2021 Richard Schimmel
